Trigger a workflow
Trigger and query workflows using the Nexthink API.
Triggers the execution of a workflow.
The ID of the workflow to execute.
#workflow_exampleNexthink Collector IDs of the devices that the workflow should be executed on. Note: If devices are included in the request, then users are optional by default.
The security IDs of the users that the workflow would target. Note: If users are included in the request, then devices are optional by default.
Successful execution response.
Each request spawns one or more executions depending on the input. All executions will have the same request ID and a unique execution ID.
The request ID. Use this ID to query workflow executions in NQL workflow.executions.request_id.
7fbd96a7-b717-43a7-8973-9c6adbca3a56A list of execution ID for each object targeted workflow.executions.execution_id.
Bad request - invalid request, see error code for details.
Unauthorized - no valid authentication credentials.
No permission - no permission to execute workflow.
POST /api/v1/workflows/execute HTTP/1.1
Host: instance.api.region.nexthink.cloud
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 114
{
"workflowId": "#workflow_example",
"devices": [
"text"
],
"users": [
"text"
],
"params": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}{
"requestUuid": "7fbd96a7-b717-43a7-8973-9c6adbca3a56",
"executionsUuids": [
"text"
]
}Triggers the execution of a workflow using external identifiers for users and devices. For users, provide at least one of the following:
sid: The security identifier of the userupn: The user's principal name (email format)uid: A globally unique user identifier Fordevices, provide at least one of the following:collectorUid: The Collector UUID of the devicename: The name of the deviceuid: A globally unique device identifier If multiple users or devices match the identifiers, the system triggers the workflow on the most recently active one (lastSeen).
The ID of the workflow to execute.
#workflow_exampleSuccessful execution response.
Each request spawns one or more executions depending on the input. All executions will have the same request ID and a unique execution ID.
The request ID. Use this ID to query workflow executions in NQL workflow.executions.request_id.
7fbd96a7-b717-43a7-8973-9c6adbca3a56A list of execution ID for each object targeted workflow.executions.execution_id.
Bad request - invalid request, see error code for details.
Unauthorized - no valid authentication credentials.
No permission - no permission to execute workflow.
POST /api/v2/workflows/execute HTTP/1.1
Host: instance.api.region.nexthink.cloud
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 192
{
"workflowId": "#workflow_example",
"devices": [
{
"name": "text",
"uid": "text",
"collectorUid": "text"
}
],
"users": [
{
"uid": "text",
"upn": "text",
"sid": "text"
}
],
"params": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}{
"requestUuid": "7fbd96a7-b717-43a7-8973-9c6adbca3a56",
"executionsUuids": [
"text"
]
}Triggers a waiting workflow execution.
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Returns a request identifier.
The request ID.
123e4567-e89b-42d3-a456-556642440000Bad request - invalid request, see error code for details.
Unauthorized - no valid authentication credentials.
No permission - not authorized to execute workflow.
POST /api/v1/workflows/workflows/{workflowUuid}/execution/{executionUuid}/trigger HTTP/1.1
Host: instance.api.region.nexthink.cloud
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 49
{
"parameters": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}[
{
"requestUuid": "123e4567-e89b-42d3-a456-556642440000"
}
]Returns a list of workflows, including their configuration information. Use query parameters to filter the list of the workflows.
List of workflows and their configurations.
Bad request - invalid request, see error code for details.
Unauthorized - no valid authentication credentials.
No permission - not authorized to execute workflow.
GET /api/v1/workflows?dependency=USER&triggerMethod=API HTTP/1.1
Host: instance.api.region.nexthink.cloud
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": {
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": {
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": {
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": {
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": "[Circular Reference]",
"versions": "[Circular Reference]"
},
"versions": [
"[Circular Reference]"
]
},
"versions": [
{
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": {
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": {
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": "[Circular Reference]",
"versions": "[Circular Reference]"
},
"versions": [
"[Circular Reference]"
]
},
"versions": "[Circular Reference]"
}
]
},
"versions": [
{
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": {
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": {
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": "[Circular Reference]",
"versions": "[Circular Reference]"
},
"versions": [
"[Circular Reference]"
]
},
"versions": "[Circular Reference]"
}
]
},
"versions": [
{
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": {
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": {
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": "[Circular Reference]",
"versions": "[Circular Reference]"
},
"versions": [
"[Circular Reference]"
]
},
"versions": "[Circular Reference]"
}
]
}
]Returns the configuration of a specific workflow by NQL ID. Use nqlId to filter for a specific configured workflow.
The NQL ID of the workflow.
#ExampleWorkflowWorkflow configuration.
Bad request - invalid request, see error code for details.
Unauthorized - no valid authentication credentials.
No permission - no permission to execute workflow.
GET /api/v1/workflows/details?nqlId=text HTTP/1.1
Host: instance.api.region.nexthink.cloud
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": {
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": {
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": {
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": {
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": "[Circular Reference]",
"versions": "[Circular Reference]"
},
"versions": [
"[Circular Reference]"
]
},
"versions": [
{
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": {
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": {
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": "[Circular Reference]",
"versions": "[Circular Reference]"
},
"versions": [
"[Circular Reference]"
]
},
"versions": "[Circular Reference]"
}
]
},
"versions": [
{
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": {
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": {
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": "[Circular Reference]",
"versions": "[Circular Reference]"
},
"versions": [
"[Circular Reference]"
]
},
"versions": "[Circular Reference]"
}
]
},
"versions": [
{
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": {
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": {
"id": "text",
"uuid": "text",
"name": "text",
"description": "text",
"status": "ACTIVE",
"lastUpdateTime": "2026-01-01T00:00:00.000Z",
"triggerMethods": "[Circular Reference]",
"versions": "[Circular Reference]"
},
"versions": [
"[Circular Reference]"
]
},
"versions": "[Circular Reference]"
}
]
}
]Last updated
Was this helpful?
